DevHeads.net

Fedora 32 Self-Contained Change proposal: Jekyll 4

<a href="https://fedoraproject.org/wiki/Changes/Jekyll4" title="https://fedoraproject.org/wiki/Changes/Jekyll4">https://fedoraproject.org/wiki/Changes/Jekyll4</a>

== Summary ==

This Change will bring the latest version of Jekyll, 4.0.0 (or later), to
fedora. It includes minor backwards-incompatible changes, but also brings a lot
of clean-ups and bug fixes compared to the 3.8 branch.

== Owner ==

* Name: [[User:Decathorpe| Fabio Valentini (decathorpe)]]
* Email: <a href="mailto: ... at gmail dot com"> ... at gmail dot com</a>

== Detailed Description ==

I will update the Jekyll static page generator to version 4.0.0 (or later),
which will also include new versions of some Jekyll plugins / components and
other rubygem dependencies.

== Benefit to Fedora ==

The Jekyll stack in fedora 32 will be the latest and greatest.

== Scope ==

* Proposal owners:
** Update existing packages:
*** rubygem-jekyll: 4.0.0
*** rubygem-jekyll-asciidoc: 3.0.0
*** rubygem-jekyll-sass-converter: 2.0.0
*** rubygem-minima: 2.5.1
** Package new dependencies:
*** rubygem-kramdown-parser-gfm
*** rubygem-kramdown-syntax-coderay
*** rubygem-sassc (DONE)
*** rubygem-stringex

It might also be necessary to update other packages as soon as new
versions targeting Jekyll 4 are released (for example, jekyll-feed,
jekyll-seo-tag, jekyll-toc, jekyll-watch gems).

* Other developers:
** Update existing packages not owned by me:
*** rubygem-kramdown: 2.1.0

* Release engineering: N/A

* Policies and guidelines: N/A (not a System Wide Change)

* Trademark approval: N/A (not needed for this Change)

== Upgrade/compatibility impact ==

Jekyll 4 includes some minor backwards-incompatible changes which made new
features possible, as outlined in the
[https://jekyllrb.com/news/2019/08/20/jekyll-4-0-0-released/ upstream
announcement]
and [https://github.com/jekyll/jekyll/blob/v4.0.0/History.markdown
release notes].
Some themes might not yet be compatible with Jekyll 4.0.0+, but the default
theme (minima) will be updated to a compatible version.

== How To Test ==

I've prepared a
[https://copr.fedorainfracloud.org/coprs/decathorpe/jekyll4/ COPR
repository]
with a first draft of all packages that are necessary for upgrading Jekyll to
versions 4.0.0 and later, but the packages are still a "work in progress" and
not necessarily complete yet.

* Update jekyll to version 4.0.0
* Try to create a new jekyll site, try to build an existing site, etc.

== User Experience ==

In general, the new release should be noticably faster than the 3.8 branch of
Jekyll, and brings only minor backwards-incompatible changes that will probably
not affect most users.

== Dependencies ==

N/A (not a System Wide Change)

== Contingency Plan ==

* Contingency mechanism: N/A (not a System Wide Change)
* Contingency deadline: N/A (not a System Wide Change)
* Blocks release? N/A (not a System Wide Change)
* Blocks product? N/A

== Documentation ==

* <a href="https://jekyllrb.com/news/2019/08/20/jekyll-4-0-0-released/" title="https://jekyllrb.com/news/2019/08/20/jekyll-4-0-0-released/">https://jekyllrb.com/news/2019/08/20/jekyll-4-0-0-released/</a>
* <a href="https://github.com/jekyll/jekyll/blob/v4.0.0/History.markdown" title="https://github.com/jekyll/jekyll/blob/v4.0.0/History.markdown">https://github.com/jekyll/jekyll/blob/v4.0.0/History.markdown</a>